Uses of Enum Class
com.deltaxml.core.PipelineIOIdentifier
Packages that use PipelineIOIdentifier
Package
Description
DeltaNova XML Compare API
Contains common exceptions used across all products and features.
DeltaNova XML Merge API
-
Uses of PipelineIOIdentifier in com.deltaxml.core
Methods in com.deltaxml.core that return PipelineIOIdentifierModifier and TypeMethodDescriptionstatic PipelineIOIdentifierReturns the enum constant of this class with the specified name.static PipelineIOIdentifier[]PipelineIOIdentifier.values()Returns an array containing the constants of this enum class, in the order they are declared.Constructors in com.deltaxml.core with parameters of type PipelineIOIdentifierModifierConstructorDescriptionRunnableFilterChain(FilterChain filterChain, PipelineIOIdentifier id) RunnableFilterChain(FilterChain filterChain, PipelineIOIdentifier id, Optional<File> debugDirOverride) -
Uses of PipelineIOIdentifier in com.deltaxml.core.exceptions
Methods in com.deltaxml.core.exceptions that return PipelineIOIdentifierModifier and TypeMethodDescriptionFilterClassInstantiationException.getLocationId()Returns the identity of the filter chain in which the problem occurred.FilterParameterizationException.getLocationId()Identifies which filter chain contains the filter causing the problem.FilterProcessingException.getLocationId()Provides information about which of the input or output filter chains an error occurred in.PipelineLoadingException.getLocationId()Provides information about which input caused the loading problem.FilterConfigurationException.getPipelineId()Returns the identity of the filter chain in which the problem occurred.PipelineException.getPipelineId()Returns thePipelineIOIdentifierObject that identifies which Pipeline the Exception occurred in.Constructors in com.deltaxml.core.exceptions with parameters of type PipelineIOIdentifierModifierConstructorDescriptionFilterClassInstantiationException(String message, Throwable t, Class<?> filterClass, int aggregatePosition, PipelineIOIdentifier pipelineId) Creates a new FilterClassInstantiationException.FilterConfigurationException(String message, Throwable t, String filterSource, int aggregatePosition, PipelineIOIdentifier pipelineId) Creates a new FilterConfigurationException.FilterParameterizationException(String message, Throwable t, String parameterName, int aggregatePosition, PipelineIOIdentifier locationId) Creates a new FilterParameterizationException.FilterProcessingException(String message, Throwable t, PipelineIOIdentifier locationIdentifier) Creates a new FilterConfigurationException.FilterProcessingRangeException(String message, Throwable t, PipelineIOIdentifier locationIdentifier, int startPosition, int endPosition) Creates a new range exception.FilterProcessingSingleException(String message, Throwable t, PipelineIOIdentifier locationIdentifier, int filterPosition, String filterSrc) Create a new FilterProcessingSingleException.PipelineException(String message, Throwable t, PipelineIOIdentifier pipelineId) PipelineLoadingException(String message, Throwable t, PipelineIOIdentifier locationIdentifier) Creates a new PipelineLoadingException.XPathFilterParameterException(String message, String parameterName, String xPathExpression, PipelineIOIdentifier pipelineId, int filterPosition) Construct a fresh xPath parameter exception.XPathFilterParameterException(String message, Throwable cause, String parameterName, String xPathExpression, PipelineIOIdentifier pipelineId, int filterPosition) Construct a wrapped xPath parameter exception. -
Uses of PipelineIOIdentifier in com.deltaxml.merge
Constructors in com.deltaxml.merge with parameters of type PipelineIOIdentifierModifierConstructorDescriptionMergeRunnableFilterChain(FilterChain filterChain, PipelineIOIdentifier id) Construct a MergeRunnableFilterChain